Subject: bug#8969: closed (close bug 8969)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 09 Jan 2013 13:12:01 +0000

Your bug report

#8969: improve synchronization between examples in the manual and test cases

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8969: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8969
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: close bug 8969
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Date: Wed, 09 Jan 2013 14:10:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Reference:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8969>

One and a half year ago, I wrote :

> I'll soon post a patch that improves the synchronization between
> some examples from the manual and some test cases.  In the process
> of writing it, I've noticed that various non-trivial examples from
> the manual are not tested; and while I've remedied to part of this
> problem with my patch, a lot remains to be done; so I'm opening
> this bug to avoid forgetting about the issue.

I now think that keeping a bug report open about this is overkill,
and introduce more noise rather than helping out.  So, since the
referenced patch has been since long written and applied, and the
issues originally spotted have been fixed, I'm closing the report.

Regards,
  Stefano

Subject: improve synchronization between examples in the manual and test cases
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Cc: Ralf Wildenhues <[email-masked]>, [email-masked]
Date: Fri, 1 Jul 2011 00:39:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist
thanks

Reference:
 <http://lists.gnu.org/archive/html/automake-patches/2011-06/msg00220.html>

On Tuesday 28 June 2011, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Tue, Jun 28, 2011 at 08:24:13AM CEST:
> > On Monday 27 June 2011, Ralf Wildenhues wrote:
> > > Sure.  Well, do they use some format already?
> > >
> > Well, there are only two of them, and both follows this format:
> > 
> > @c The test case for the setup described here is
> > @c     test/subdircond2.test
> > @c Try to keep it in sync.
> > 
> > (which is wrongish BTW, as the testsuite subdirectory is `tests/',
> > not `test/')
> > 
> > I'd go with one of these simple formats:
> >   @c Keep in sync with subdircond2.test
> 
> I like this one (with a trailing dot ;-)
> 
> ;-)
> 
I'll soon post a patch that improves the synchronization between
some examples from the manual and some test cases.  In the process
of writing it, I've noticed that various non-trivial examples from
the manual are not tested; and while I've remedied to part of this
problem with my patch, a lot remains to be done; so I'm opening
this bug to avoid forgetting about the issue.

Regards,
  Stefano